org.apache.sling.testing.tools.retry

## Interface RetryLoop.Condition

Enclosing class:
  RetryLoop

    public static interface RetryLoop.Condition

Interface for conditions to check, isTrue will be called repeatedly until success or timeout

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getDescription()` Used in failure messages to describe what was expected
`boolean` `isTrue()` If true we stop retrying.

### Method Detail

#### getDescription

    String getDescription()

Used in failure messages to describe what was expected

#### isTrue

    boolean isTrue()
            throws Exception

If true we stop retrying. The RetryLoop retries on AssertionError, so if tests fail in this method they are not reported as failures but retried.

Throws:
  `Exception`